Frosty requires Adobe Flash Player

Frosty runs on Adobe Flash Player technologies, so it can't be played without it. You will need to either enable Flash Player in your browser (if it is available), download the Frosty Flash Enabler extension (which automatically enables Flash Player on Chrome, Opera and Edge) or download our Desktop Client (with built-in Flash Player).

Ask browser to enable FlashDesktop ClientFrosty Flash Enabler extension